POST api/JobSeeker/Profile/CreateStripeCheckoutSession
Request Information
URI Parameters
None.
Body Parameters
StripeCheckoutInput| Name | Description | Type | Additional information |
|---|---|---|---|
| SuccessUrl | string |
None. |
|
| CancelUrl | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"successUrl": "sample string 1",
"cancelUrl": "sample string 2"
}
application/xml, text/xml
Sample:
<StripeCheckoutInput xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/APIService.Models.JobSeeker"> <CancelUrl>sample string 2</CancelUrl> <SuccessUrl>sample string 1</SuccessUrl> </StripeCheckoutInput>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
StripeCheckoutOutput| Name | Description | Type | Additional information |
|---|---|---|---|
| Success | boolean |
None. |
|
| CheckoutUrl | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"success": true,
"checkoutUrl": "sample string 2"
}
application/xml, text/xml
Sample:
<StripeCheckoutOutput xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/APIService.Models.JobSeeker"> <CheckoutUrl>sample string 2</CheckoutUrl> <Success>true</Success> </StripeCheckoutOutput>